### Method

# Pango.GlyphItem.split

#### Declaration [src]

    PangoGlyphItem*
    pango_glyph_item_split (
      PangoGlyphItem* orig,
      const char* text,
      int split_index
    )

#### Description [src]

Modifies `orig` to cover only the text after `split_index`, and returns a new item that covers the text before `split_index` that used to be in `orig`.

You can think of `split_index` as the length of the returned item. `split_index` may not be 0, and it may not be greater than or equal to the length of `orig` (that is, there must be at least one byte assigned to each item, you can’t create a zero-length item).

This function is similar in function to `pango_item_split()` (and uses it internally.)

#### Parameters

`text` | `const char*`
| text to which positions in `orig` apply
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`split_index` | `int`
| byte index of position to split item, relative to the start of the item

#### Return value

Returns: `PangoGlyphItem`
the newly allocated item representing text before `split_index`, which should be freed with `pango_glyph_item_free()`.
Ownership of the data is transferred to the caller